package de.ivu.elect.business.wahlvorschlag.entity;

import de.ivu.elect.business.wahlvorschlag.control.WahlvorschlagUnterstuetzerDatenNichtEindeutigException;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public class WahlvorschlagUnterstuetzerImportResult {

  private String messageKeyChanges;
  private Set<Wahlvorschlag> changes;
  private List<WahlvorschlagUnterstuetzerDatenNichtEindeutigException> problems;

  public WahlvorschlagUnterstuetzerImportResult() {
    this.messageKeyChanges = "wahlvorschlag.unterstuetzer.import.erfolg";
    this.changes = new HashSet<>();
    this.problems = new ArrayList<>();
  }

  public String getMessageKeyChanges() {
    return messageKeyChanges;
  }

  public void setMessageKeyChanges(String messageKeyChanges) {
    this.messageKeyChanges = messageKeyChanges;
  }

  public void addChange(Wahlvorschlag change) {
    changes.add(change);
  }

  public Set<Wahlvorschlag> getChanges() {
    return changes;
  }

  public void addProblem(WahlvorschlagUnterstuetzerDatenNichtEindeutigException e) {
    problems.add(e);
  }

  public List<WahlvorschlagUnterstuetzerDatenNichtEindeutigException> getProblems() {
    return problems;
  }
}
